# Generated from metadata-json-lint-4.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name metadata-json-lint

Name: rubygem-%{gem_name}
Version: 4.1.0
Release: 1%{?dist}
Summary: metadata-json-lint /path/to/metadata.json
License: Apache-2.0
URL: https://github.com/voxpupuli/metadata-json-lint
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.7.0
# BuildRequires: rubygem(rspec) >= 3.12
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(voxpupuli-rubocop) >= 2.8.0
# BuildRequires: rubygem(voxpupuli-rubocop) < 2.9
BuildArch: noarch

%description
Utility to verify Puppet metadata.json files.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/metadata-json-lint
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/HISTORY.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/metadata-json-lint.gemspec
%{gem_instdir}/spec
%{gem_instdir}/tests

%changelog
* Tue Aug 20 2024 mockbuilder - 4.1.0-1
- Initial package
